Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_broker_clients \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "private/get_broker_clients",
  "params": {}
}
'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": [
    {
      "client_id": 1,
      "client_name": "Acme Trading Ltd",
      "company_name": "Acme Trading Ltd",
      "broker_code": "ACME01",
      "main_user_id": "***456",
      "links": [
        {
          "client_link_id": 1,
          "user_id": "***456",
          "name": "Main Trader",
          "note": "Primary trading account",
          "state": "connected",
          "confirmations_required": 1
        },
        {
          "client_link_id": 2,
          "user_id": "***789",
          "name": "Sub Trader",
          "note": "",
          "state": "pending",
          "confirmations_required": 1
        }
      ]
    },
    {
      "client_id": 2,
      "client_name": "Beta Capital",
      "company_name": "Beta Capital GmbH",
      "broker_code": "BETA01",
      "links": [
        {
          "client_link_id": 3,
          "user_id": "***012",
          "name": "Portfolio Manager",
          "note": "",
          "state": "connected",
          "confirmations_required": 2
        }
      ]
    }
  ]
}

Query Parameters

client_id
integer

If provided, returns only the client with this ID. Omit to return all clients.

include_subaccounts
boolean

If true, includes clients managed by broker sub-accounts. Default: false.

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request